taffybar-0.4.5: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | None
Language | Haskell2010

System.Taffybar.XMonadLog

Contents

- Constructor
- Log hooks for xmonad.hs
- Styles

Description

Deprecated: Use TaffyPager instead. This module will be removed.

This widget listens on DBus for Log events from XMonad and displays the formatted status string. To log to this widget using the excellent dbus-core library, use code like the following:

    import DBus.Client.Simple
    main = do
      session <- connectSession
      emit session "/org/xmonad/Log" "org.xmonad.Log" "Update" [toVariant "msg"]

There is a more complete example of xmonad integration in the top-level module.

Synopsis

- xmonadLogNew :: IO Widget
- dbusLog :: Client -> X ()
- dbusLogWithPP :: Client -> PP -> X ()
- taffybarPP :: PP
- taffybarDefaultPP :: PP
- taffybarColor :: String -> String -> String -> String
- taffybarEscape :: String -> String

# Constructor

xmonadLogNew :: IO Widget Source

Return a new XMonad log widget

# Log hooks for xmonad.hs

dbusLog :: Client -> X () Source

A DBus-based logger with a default pretty-print configuration

dbusLogWithPP :: Client -> PP -> X () Source

This is a DBus-based logger that can be used from XMonad to log to this widget. This version lets you specify the format for the log using a pretty printer (e.g., `taffybarPP`).

# Styles

taffybarPP :: PP Source

The same as xmobarPP in XMonad.Hooks.DynamicLog

taffybarDefaultPP :: PP Source

The same as the default PP in XMonad.Hooks.DynamicLog

taffybarColor :: String -> String -> String -> String Source

taffybarEscape :: String -> String Source

Escape strings so that they can be safely displayed by Pango in the bar widget